enum_params_with_defaults.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/repetition/enum_binary_params.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ENUM_PARAMS_WITH_DEFAULTS(count, param, def) MSGPACK_PP_ENUM_BINARY_PARAMS(count, param, = def)

## Macro Definition Documentation

## MSGPACK_PP_ENUM_PARAMS_WITH_DEFAULTS

#define MSGPACK_PP_ENUM_PARAMS_WITH_DEFAULTS | ( |  | count,
|  |  | param,
|  |  | def
| ) |  | MSGPACK_PP_ENUM_BINARY_PARAMS(count, param, = def)